Bug 325546 - Crash when loading new project into session [CMakeCommitChangesJob::addProjectData]
Summary: Crash when loading new project into session [CMakeCommitChangesJob::addProjec...
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: 4.5.60
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 4.6.0
Assignee: kdevelop-bugs-null
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-10-02 12:13 UTC by Kevin Funk
Modified: 2013-10-10 01:38 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Funk 2013-10-02 12:13:53 UTC
Application: kdevelop (4.5.60)
KDE Platform Version: 4.11.2
Qt Version: 4.8.5
Operating System: Linux 3.11.0-9-generic x86_64
Distribution: Ubuntu Saucy Salamander (development branch)

-- Information about the crash:
- What I was doing when the application crashed:
* Had KDevelop open with one project open (running for a while already)
* Loaded another project into the session
* Crash

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
[Current thread is 1 (Thread 0x7fd6bf3127c0 (LWP 16528))]

Thread 17 (Thread 0x7fd628703700 (LWP 16529)):
#0  0x00007fd6bbe0147d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd6b6d2b694 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd6b6d2b79c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd6bd4bbef0 in QEventDispatcherGlib::processEvents (this=0x7fd6200008c0, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:427
#4  0x00007fd6bd47c81c in QEventLoop::processEvents (this=0x7fd628702d30, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007fd6bd47c9b0 in QEventLoop::exec (this=0x7fd628702d30, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007fd6bd34112f in QThread::exec (this=0x23b2d10) at /home/krf/devel/src/qt/src/corelib/thread/qthread.cpp:536
#7  0x00007fd6bd457393 in QInotifyFileSystemWatcherEngine::run (this=0x23b2d10) at /home/krf/devel/src/qt/src/corelib/io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x23b2d10) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#9  0x00007fd6bb30bf6e in start_thread (arg=0x7fd628703700) at pthread_create.c:311
#10 0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 16 (Thread 0x7fd626a02700 (LWP 16531)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007fd6bd3451f8 in QWaitConditionPrivate::wait (this=0x2a859d0, time=1000) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:84
#2  0x00007fd6bd344fe1 in QWaitCondition::wait (this=0x2a565f8, mutex=0x2a56600, time=1000) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:158
#3  0x00007fd6b9384efa in KDevelop::DUChainPrivate::CleanupThread::run (this=0x2a565e0) at /home/krf/devel/src/kdevplatform/language/duchain/duchain.cpp:285
#4  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x2a565e0) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#5  0x00007fd6bb30bf6e in start_thread (arg=0x7fd626a02700) at pthread_create.c:311
#6  0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 15 (Thread 0x7fd61327d700 (LWP 16532)):
#0  0x00007fd6bbe0147d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd6b6d2b694 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd6b6d2b79c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd6bd4bbecd in QEventDispatcherGlib::processEvents (this=0x7fd60c0008c0, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fd6bd47c81c in QEventLoop::processEvents (this=0x7fd61327cd60, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007fd6bd47c9b0 in QEventLoop::exec (this=0x7fd61327cd60, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007fd6bd34112f in QThread::exec (this=0x4113608) at /home/krf/devel/src/qt/src/corelib/thread/qthread.cpp:536
#7  0x00007fd6bd3412dc in QThread::run (this=0x4113608) at /home/krf/devel/src/qt/src/corelib/thread/qthread.cpp:603
#8  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x4113608) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#9  0x00007fd6bb30bf6e in start_thread (arg=0x7fd61327d700) at pthread_create.c:311
#10 0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 14 (Thread 0x7fd612a7c700 (LWP 16533)):
#0  0x00007fd6bbe062e3 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd6bd4514d0 in QProcessManager::run (this=0x7fd6bd648760 <processManager()::processManager>) at /home/krf/devel/src/qt/src/corelib/io/qprocess_unix.cpp:247
#2  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x7fd6bd648760 <processManager()::processManager>) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#3  0x00007fd6bb30bf6e in start_thread (arg=0x7fd612a7c700) at pthread_create.c:311
#4  0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 13 (Thread 0x7fd6037fe700 (LWP 16572)):
#0  0x00007fd6bbe0147d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd6b6d2b694 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd6b6d2b79c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd6bd4bbef0 in QEventDispatcherGlib::processEvents (this=0x7fd5f40b6da0, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:427
#4  0x00007fd6bd47c81c in QEventLoop::processEvents (this=0x7fd6037fdd30, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007fd6bd47c9b0 in QEventLoop::exec (this=0x7fd6037fdd30, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007fd6bd34112f in QThread::exec (this=0x51326d0) at /home/krf/devel/src/qt/src/corelib/thread/qthread.cpp:536
#7  0x00007fd6bd457393 in QInotifyFileSystemWatcherEngine::run (this=0x51326d0) at /home/krf/devel/src/qt/src/corelib/io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x51326d0) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#9  0x00007fd6bb30bf6e in start_thread (arg=0x7fd6037fe700) at pthread_create.c:311
#10 0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 12 (Thread 0x7fd602ffd700 (LWP 16586)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fd6b3e89473 in WTF::TCMalloc_PageHeap::scavengerThread() () from /home/krf/devel/build/qt4.8-shared-debug/lib/libQtWebKit.so.4
#2  0x00007fd6b3e88a22 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /home/krf/devel/build/qt4.8-shared-debug/lib/libQtWebKit.so.4
#3  0x00007fd6bb30bf6e in start_thread (arg=0x7fd602ffd700) at pthread_create.c:311
#4  0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7fd6027fc700 (LWP 16587)):
#0  0x00007fd6bbe0147d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd6b6d2b694 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd6b6d2b79c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd6bd4bbef0 in QEventDispatcherGlib::processEvents (this=0x7fd5f80167a0, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:427
#4  0x00007fd6bd47c81c in QEventLoop::processEvents (this=0x7fd6027fbd60, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007fd6bd47c9b0 in QEventLoop::exec (this=0x7fd6027fbd60, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007fd6bd34112f in QThread::exec (this=0x2724930) at /home/krf/devel/src/qt/src/corelib/thread/qthread.cpp:536
#7  0x00007fd6bd3412dc in QThread::run (this=0x2724930) at /home/krf/devel/src/qt/src/corelib/thread/qthread.cpp:603
#8  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x2724930) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#9  0x00007fd6bb30bf6e in start_thread (arg=0x7fd6027fc700) at pthread_create.c:311
#10 0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7fd603fff700 (LWP 16588)):
#0  0x00007fd6bbe0147d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd6b6d2b694 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd6b6d2b79c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd6bd4bbecd in QEventDispatcherGlib::processEvents (this=0x7fd5ec044890, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fd6bd47c81c in QEventLoop::processEvents (this=0x7fd603ffed30, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007fd6bd47c9b0 in QEventLoop::exec (this=0x7fd603ffed30, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007fd6bd34112f in QThread::exec (this=0x441fda0) at /home/krf/devel/src/qt/src/corelib/thread/qthread.cpp:536
#7  0x00007fd6bd457393 in QInotifyFileSystemWatcherEngine::run (this=0x441fda0) at /home/krf/devel/src/qt/src/corelib/io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x441fda0) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#9  0x00007fd6bb30bf6e in start_thread (arg=0x7fd603fff700) at pthread_create.c:311
#10 0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7fd5f323f700 (LWP 16715)):
#0  0x00007fd6bbe0147d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd6b6d2b694 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd6b6d2b79c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd6bd4bbef0 in QEventDispatcherGlib::processEvents (this=0x7fd5a00008c0, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:427
#4  0x00007fd6bd47c81c in QEventLoop::processEvents (this=0x7fd5f323ed80, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007fd6bd47c9b0 in QEventLoop::exec (this=0x7fd5f323ed80, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007fd6bd34112f in QThread::exec (this=0x5a26640) at /home/krf/devel/src/qt/src/corelib/thread/qthread.cpp:536
#7  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x5a26640) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#8  0x00007fd6bb30bf6e in start_thread (arg=0x7fd5f323f700) at pthread_create.c:311
#9  0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7fd5f2a3e700 (LWP 16716)):
#0  0x00007fd6bbe0147d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd6b6d2b694 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd6b6d2b79c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd6bd4bbef0 in QEventDispatcherGlib::processEvents (this=0x7fd5980008c0, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:427
#4  0x00007fd6bd47c81c in QEventLoop::processEvents (this=0x7fd5f2a3dd80, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007fd6bd47c9b0 in QEventLoop::exec (this=0x7fd5f2a3dd80, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007fd6bd34112f in QThread::exec (this=0x5e82af0) at /home/krf/devel/src/qt/src/corelib/thread/qthread.cpp:536
#7  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x5e82af0) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#8  0x00007fd6bb30bf6e in start_thread (arg=0x7fd5f2a3e700) at pthread_create.c:311
#9  0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7fd5f223d700 (LWP 16723)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fd6bd345214 in QWaitConditionPrivate::wait (this=0x299be00, time=18446744073709551615) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:86
#2  0x00007fd6bd344fe1 in QWaitCondition::wait (this=0x299bcd8, mutex=0x299bf80, time=18446744073709551615) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:158
#3  0x00007fd6b4e48e6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x299bcb0, th=0x4f49310) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007fd6b4e4b903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x299c050, th=0x4f49310, previous=0x76b71b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007fd6b4e4a61f in ThreadWeaver::Thread::run (this=0x4f49310) at ../../../threadweaver/Weaver/Thread.cpp:98
#6  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x4f49310) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#7  0x00007fd6bb30bf6e in start_thread (arg=0x7fd5f223d700) at pthread_create.c:311
#8  0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7fd5f1a3c700 (LWP 16724)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fd6bd345214 in QWaitConditionPrivate::wait (this=0x299be00, time=18446744073709551615) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:86
#2  0x00007fd6bd344fe1 in QWaitCondition::wait (this=0x299bcd8, mutex=0x299bf80, time=18446744073709551615) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:158
#3  0x00007fd6b4e48e6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x299bcb0, th=0x7fd59c002c00) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007fd6b4e4b903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x299c050, th=0x7fd59c002c00, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007fd6b4e4b91c in ThreadWeaver::WorkingHardState::applyForWork (this=0x299c050, th=0x7fd59c002c00, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007fd6b4e4b91c in ThreadWeaver::WorkingHardState::applyForWork (this=0x299c050, th=0x7fd59c002c00, previous=0x79699e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#7  0x00007fd6b4e4a61f in ThreadWeaver::Thread::run (this=0x7fd59c002c00) at ../../../threadweaver/Weaver/Thread.cpp:98
#8  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x7fd59c002c00) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#9  0x00007fd6bb30bf6e in start_thread (arg=0x7fd5f1a3c700) at pthread_create.c:311
#10 0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7fd5f3fff700 (LWP 17398)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fd6bd345214 in QWaitConditionPrivate::wait (this=0x71b94d0, time=18446744073709551615) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:86
#2  0x00007fd6bd344fe1 in QWaitCondition::wait (this=0x71496a8, mutex=0x71b2f10, time=18446744073709551615) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:158
#3  0x00007fd6b4e48e6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x7149680, th=0x713db50) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007fd6b4e4b903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x701e1b0, th=0x713db50, previous=0x713ff00) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007fd6b4e4a61f in ThreadWeaver::Thread::run (this=0x713db50) at ../../../threadweaver/Weaver/Thread.cpp:98
#6  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x713db50) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#7  0x00007fd6bb30bf6e in start_thread (arg=0x7fd5f3fff700) at pthread_create.c:311
#8  0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7fd5a6f86700 (LWP 17399)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fd6bd345214 in QWaitConditionPrivate::wait (this=0x71b94d0, time=18446744073709551615) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:86
#2  0x00007fd6bd344fe1 in QWaitCondition::wait (this=0x71496a8, mutex=0x71b2f10, time=18446744073709551615) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:158
#3  0x00007fd6b4e48e6c in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x7149680, th=0x713e650) at ../../../threadweaver/Weaver/WeaverImpl.cpp:370
#4  0x00007fd6b4e4b903 in ThreadWeaver::WorkingHardState::applyForWork (this=0x701e1b0, th=0x713e650, previous=0x0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:68
#5  0x00007fd6b4e4a61f in ThreadWeaver::Thread::run (this=0x713e650) at ../../../threadweaver/Weaver/Thread.cpp:98
#6  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x713e650) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#7  0x00007fd6bb30bf6e in start_thread (arg=0x7fd5a6f86700) at pthread_create.c:311
#8  0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7fd5a6785700 (LWP 1545)):
#0  0x00007fd6bbe0147d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd6b6d2b694 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fd6b6d2b79c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fd6bd4bbef0 in QEventDispatcherGlib::processEvents (this=0x7fd58c47ec00, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:427
#4  0x00007fd6bd47c81c in QEventLoop::processEvents (this=0x7fd5a6784d30, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007fd6bd47c9b0 in QEventLoop::exec (this=0x7fd5a6784d30, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007fd6bd34112f in QThread::exec (this=0x84fe090) at /home/krf/devel/src/qt/src/corelib/thread/qthread.cpp:536
#7  0x00007fd6bd457393 in QInotifyFileSystemWatcherEngine::run (this=0x84fe090) at /home/krf/devel/src/qt/src/corelib/io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x84fe090) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#9  0x00007fd6bb30bf6e in start_thread (arg=0x7fd5a6785700) at pthread_create.c:311
#10 0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7fd5a5f84700 (LWP 1547)):
[KCrash Handler]
#5  0x00007fd6bbd4af77 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#6  0x00007fd6bbd4e5e8 in __GI_abort () at abort.c:90
#7  0x00007fd6bd33640b in qt_message_output (msgType=QtFatalMsg, buf=0x7fd5842ee238 "ASSERT: \"!isEmpty()\" in file /home/krf/devel/src/qt/src/corelib/tools/qlist.h, line 282") at /home/krf/devel/src/qt/src/corelib/global/qglobal.cpp:2323
#8  0x00007fd6bd3365aa in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=QtFatalMsg, msg=0x7fd6bd521600 "ASSERT: \"%s\" in file %s, line %d", ap=0x7fd5a5f83688) at /home/krf/devel/src/qt/src/corelib/global/qglobal.cpp:2369
#9  0x00007fd6bd336d74 in qFatal (msg=0x7fd6bd521600 "ASSERT: \"%s\" in file %s, line %d") at /home/krf/devel/src/qt/src/corelib/global/qglobal.cpp:2552
#10 0x00007fd6bd335fc4 in qt_assert (assertion=0x7fd608e30e8b "!isEmpty()", file=0x7fd608e30b90 "/home/krf/devel/src/qt/src/corelib/tools/qlist.h", line=282) at /home/krf/devel/src/qt/src/corelib/global/qglobal.cpp:2018
#11 0x00007fd608e29a4a in QList<KUrl>::first (this=this@entry=0x7fd5a5f83920) at /home/krf/devel/src/qt/src/corelib/tools/qlist.h:282
#12 0x00007fd608e27208 in CMakeCommitChangesJob::addProjectData (this=0x7fd5847b6b10, data=...) at /home/krf/devel/src/kdevelop/projectmanagers/cmake/cmakecommitchangesjob.cpp:177
#13 0x00007fd608e2c09a in CMakeImportJob::importDirectory (this=this@entry=0x841a1e0, project=project@entry=0x8127460, url=..., parentTop=...) at /home/krf/devel/src/kdevelop/projectmanagers/cmake/cmakeimportjob.cpp:223
#14 0x00007fd608e2c0ea in CMakeImportJob::importDirectory (this=this@entry=0x841a1e0, project=project@entry=0x8127460, url=..., parentTop=...) at /home/krf/devel/src/kdevelop/projectmanagers/cmake/cmakeimportjob.cpp:228
#15 0x00007fd608e2c0ea in CMakeImportJob::importDirectory (this=this@entry=0x841a1e0, project=0x8127460, url=..., parentTop=...) at /home/krf/devel/src/kdevelop/projectmanagers/cmake/cmakeimportjob.cpp:228
#16 0x00007fd608e2c376 in CMakeImportJob::initialize (this=0x841a1e0) at /home/krf/devel/src/kdevelop/projectmanagers/cmake/cmakeimportjob.cpp:119
#17 0x00007fd608e2c756 in QtConcurrent::RunFunctionTask<void>::run (this=0x5b846b0) at /home/krf/devel/src/qt/src/corelib/concurrent/qtconcurrentrunbase.h:134
#18 0x00007fd6bd332889 in QThreadPoolThread::run (this=0x4a923b0) at /home/krf/devel/src/qt/src/corelib/concurrent/qthreadpool.cpp:107
#19 0x00007fd6bd343bcd in QThreadPrivate::start (arg=0x4a923b0) at /home/krf/devel/src/qt/src/corelib/thread/qthread_unix.cpp:338
#20 0x00007fd6bb30bf6e in start_thread (arg=0x7fd5a5f84700) at pthread_create.c:311
#21 0x00007fd6bbe0decd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7fd6bf3127c0 (LWP 16528)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fd6bd345214 in QWaitConditionPrivate::wait (this=0x27d3a30, time=18446744073709551615) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:86
#2  0x00007fd6bd344fe1 in QWaitCondition::wait (this=0x4a252f0, mutex=0x4a252c8, time=18446744073709551615) at /home/krf/devel/src/qt/src/corelib/thread/qwaitcondition_unix.cpp:158
#3  0x00007fd6bd33347d in QThreadPoolPrivate::waitForDone (this=0x4a25240, msecs=-1) at /home/krf/devel/src/qt/src/corelib/concurrent/qthreadpool.cpp:298
#4  0x00007fd6bd33396a in QThreadPool::~QThreadPool (this=0x46059b0, __in_chrg=<optimized out>) at /home/krf/devel/src/qt/src/corelib/concurrent/qthreadpool.cpp:440
#5  0x00007fd6bd3339de in QThreadPool::~QThreadPool (this=0x46059b0, __in_chrg=<optimized out>) at /home/krf/devel/src/qt/src/corelib/concurrent/qthreadpool.cpp:442
#6  0x00007fd6bd334053 in QGlobalStaticDeleter<QThreadPool>::~QGlobalStaticDeleter (this=0x7fd6bd648180 <theInstance()::cleanup>, __in_chrg=<optimized out>) at ../../include/QtCore/../../../../src/qt/src/corelib/global/qglobal.h:1950
#7  0x00007fd6bbd50071 in __run_exit_handlers (status=1, listp=0x7fd6bc0d46a8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:77
#8  0x00007fd6bbd500f5 in __GI_exit (status=<optimized out>) at exit.c:99
#9  0x00007fd6bc6f2243 in qt_xio_errhandler () at /home/krf/devel/src/qt/src/gui/kernel/qapplication_x11.cpp:772
#10 0x00007fd6bd869620 in KApplication::xioErrhandler (this=0x7fffd38af880, dpy=0x2003190) at ../../kdeui/kernel/kapplication.cpp:419
#11 0x00007fd6b7bcec3e in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#12 0x00007fd6b7bcc61d in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#13 0x00007fd6b7bbe6eb in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#14 0x00007fd6bc73e1d9 in x11EventSourceCheck (s=0x20004a0) at /home/krf/devel/src/qt/src/gui/kernel/qguieventdispatcher_glib.cpp:85
#15 0x00007fd6b6d2b111 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#16 0x00007fd6b6d2b62b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#17 0x00007fd6b6d2b79c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007fd6bd4bbecd in QEventDispatcherGlib::processEvents (this=0x1ffc440, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventdispatcher_glib.cpp:425
#19 0x00007fd6bc73e8ba in QGuiEventDispatcherGlib::processEvents (this=0x1ffc440, flags=...) at /home/krf/devel/src/qt/src/gui/kernel/qguieventdispatcher_glib.cpp:204
#20 0x00007fd6bd47c81c in QEventLoop::processEvents (this=0x7fffd38af710, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:149
#21 0x00007fd6bd47c9b0 in QEventLoop::exec (this=0x7fffd38af710, flags=...) at /home/krf/devel/src/qt/src/corelib/kernel/qeventloop.cpp:204
#22 0x00007fd6bd47fb5a in QCoreApplication::exec () at /home/krf/devel/src/qt/src/corelib/kernel/qcoreapplication.cpp:1221
#23 0x00007fd6bc6602fa in QApplication::exec () at /home/krf/devel/src/qt/src/gui/kernel/qapplication.cpp:3823
#24 0x000000000040f198 in main (argc=<optimized out>, argv=<optimized out>) at /home/krf/devel/src/kdevelop/app/main.cpp:562

Possible duplicates by query: bug 324690, bug 324446, bug 324432, bug 322472, bug 321758.

Reported using DrKonqi
Comment 1 Kevin Funk 2013-10-02 12:26:39 UTC
Actually, this seems to be project-specific. The problematic project here is VTK.

Please try to reproduce by loading the following project into KDevelop:
http://www.vtk.org/Wiki/VTK/Git - git://vtk.org/VTK.git
Comment 2 Kevin Funk 2013-10-02 20:13:51 UTC
FYI: 005e0f5399f87f91bfba803b42d04e3b565642eb in kdevelop repo is the problematic commit, reverting it makes it work for me again.
Comment 3 Aleix Pol 2013-10-10 01:38:33 UTC
Git commit ddd9c0fd284eed59d696852aeda557602ce12e18 by Aleix Pol.
Committed on 10/10/2013 at 01:35.
Pushed by apol into branch 'master'.

Don't crash when a broken add_executable is found

M  +4    -3    projectmanagers/cmake/parser/cmakeprojectvisitor.cpp
M  +5    -0    projectmanagers/cmake/tests/cmakemanagertest.cpp
M  +1    -0    projectmanagers/cmake/tests/cmakemanagertest.h
A  +1    -0    projectmanagers/cmake/tests/manual/faulty_target/CMakeLists.txt
A  +3    -0    projectmanagers/cmake/tests/manual/faulty_target/faulty_target.kdev4
A  +3    -0    projectmanagers/cmake/tests/manual/faulty_target/utils/CMakeLists.txt
A  +0    -0    projectmanagers/cmake/tests/manual/faulty_target/utils/main.cpp     [License: Trivial file]

http://commits.kde.org/kdevelop/ddd9c0fd284eed59d696852aeda557602ce12e18